INT_BIOS_VECTOR_BASE	EQU	010H

INT_EXIT 	EQU	INT_BIOS_VECTOR_BASE+0
INT_KEY		EQU	INT_BIOS_VECTOR_BASE+1
INT_DISP	EQU	INT_BIOS_VECTOR_BASE+2
INT_TEXT	EQU	INT_BIOS_VECTOR_BASE+3
INT_COMM	EQU	INT_BIOS_VECTOR_BASE+4
INT_SOUND	EQU	INT_BIOS_VECTOR_BASE+5
INT_TIMER	EQU	INT_BIOS_VECTOR_BASE+6
INT_SYSTEM	EQU	INT_BIOS_VECTOR_BASE+7
INT_BANK	EQU	INT_BIOS_VECTOR_BASE+8

; INT_COMM

COMM_OPEN 			EQU	0
COMM_CLOSE			EQU	1
COMM_SEND_CHAR			EQU	2
COMM_RECEIVE_CHAR		EQU	3
COMM_RECEIVE_WITH_TIMEOUT	EQU	4
COMM_SEND_STRING		EQU	5
COMM_SEND_BLOCK			EQU	6
COMM_RECEIVE_BLOCK		EQU	7
COMM_SET_TIMEOUT		EQU	8
COMM_SET_BAUDRATE		EQU	9
COMM_GET_BAUDRATE		EQU	10
COMM_SET_CANCEL_KEY		EQU	11
COMM_GET_CANCEL_KEY		EQU	12
COMM_XMODEM			EQU	13

; INT_DISP

DISPLAY_CONTROL			EQU	0
DISPLAY_STATUS			EQU	1
FONT_SET_MONODATA		EQU	2
FONT_SET_COLORDATA		EQU	3
FONT_GET_DATA			EQU	4
FONT_SET_COLOR			EQU	5
FONT_GET_COLOR			EQU	6
SCREEN_SET_CHAR			EQU	7
SCREEN_GET_CHAR			EQU	8
SCREEN_FILL_CHAR		EQU	9
SCREEN_FILL_ATTR		EQU	10
SPRITE_SET_RANGE		EQU	11
SPRITE_SET_CHAR			EQU	12
SPRITE_GET_CHAR			EQU	13
SPRITE_SET_LOCATION		EQU	14
SPRITE_GET_LOCATION		EQU	15
SPRITE_SET_CHAR_LOCATION	EQU	16
SPRITE_GET_CHAR_LOCATION	EQU	17
SPRITE_SET_DATA			EQU	18
SCREEN_SET_SCROLL		EQU	19
SCREEN_GET_SCROLL		EQU	20
SCREEN2_SET_WINDOW		EQU	21
SCREEN2_GET_WINDOW		EQU	22
SPRITE_SET_WINDOW		EQU	23
SPRITE_GET_WINDOW		EQU	24
PALETTE_SET_COLOR		EQU	25
PALETTE_GET_COLOR		EQU	26
LCD_SET_COLOR			EQU	27
LCD_GET_COLOR			EQU	28
LCD_SET_SEGMENTS		EQU	29
LCD_GET_SEGMENTS		EQU	30
LCD_SET_SLEEP			EQU	31
LCD_GET_SLEEP			EQU	32
SCREEN_SET_VRAM			EQU	33
SPRITE_SET_VRAM			EQU	34

; INT_TEXT

TEXT_SCREEN_INIT		EQU	0
TEXT_WINDOW_INIT		EQU	1
TEXT_SET_MODE			EQU	2
TEXT_GET_MODE			EQU	3
TEXT_PUT_CHAR			EQU	4
TEXT_PUT_STRING			EQU	5
TEXT_PUT_SUBSTRING		EQU	6
TEXT_PUT_NUMERIC		EQU	7
TEXT_FILL_CHAR			EQU	8
TEXT_SET_PALETTE		EQU	9
TEXT_GET_PALETTE		EQU	10
TEXT_SET_ANK_FONT		EQU	11
TEXT_SET_SJIS_FONT		EQU	12
TEXT_GET_FONTDATA		EQU	13
TEXT_SET_SCREEN			EQU	14
TEXT_GET_SCREEN			EQU	15
CURSOR_DISPLAY			EQU	16
CURSOR_STATUS			EQU	17
CURSOR_SET_LOCATION		EQU	18
CURSOR_GET_LOCATION		EQU	19
CURSOR_SET_TYPE			EQU	20
CURSOR_GET_TYPE			EQU	21

; INT_SYSTEM

SYS_INTERRUPT_SET_HOOK		EQU	0
SYS_INTERRUPT_RESET_HOOK	EQU	1
SYS_WAIT			EQU	2
SYS_GET_TICK_COUNT		EQU	3
SYS_SLEEP			EQU	4
SYS_SET_SLEEP_TIME		EQU	5
SYS_GET_SLEEP_TIME		EQU	6
SYS_SET_AWAKE_KEY		EQU	7
SYS_GET_AWAKE_KEY		EQU	8
SYS_SET_KEEPALIVE_INT		EQU	9
SYS_GET_OWNERINFO		EQU	10
SYS_SUSPEND			EQU	11
SYS_RESUME			EQU	12
SYS_SET_REMOTE			EQU	13
SYS_GET_REMOTE			EQU	14
SYS_ALLOC_IRAM			EQU	15
SYS_FREE_IRAM			EQU	16
SYS_GET_MY_IRAM			EQU	17
SYS_GET_VERSION			EQU	18
SYS_SWAP			EQU	19
SYS_SET_RESUME			EQU	20
SYS_GET_RESUME			EQU	21
